ID CVE-2010-4540
Summary Stack-based buffer overflow in the load_preset_response function in plug-ins/lighting/lighting-ui.c in the "LIGHTING EFFECTS > LIGHT" plugin in GIMP 2.6.11 allows user-assisted remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a long Position field in a plugin configuration file. NOTE: it may be uncommon to obtain a GIMP plugin configuration file from an untrusted source that is separate from the distribution of the plugin itself. NOTE: some of these details are obtained from third party information.
References
Vulnerable Configurations
  • cpe:2.3:a:gimp:gimp:2.6.11:*:*:*:*:*:*:*
    cpe:2.3:a:gimp:gimp:2.6.11:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 07-02-2022 - 17:53)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
redhat via4
advisories
  • rhsa
    id RHSA-2011:0838
  • rhsa
    id RHSA-2011:0839
rpms
  • gimp-2:2.2.13-2.0.7.el5_6.2
  • gimp-debuginfo-2:2.2.13-2.0.7.el5_6.2
  • gimp-devel-2:2.2.13-2.0.7.el5_6.2
  • gimp-libs-2:2.2.13-2.0.7.el5_6.2
  • gimp-2:2.6.9-4.el6_1.1
  • gimp-debuginfo-2:2.6.9-4.el6_1.1
  • gimp-devel-2:2.6.9-4.el6_1.1
  • gimp-devel-tools-2:2.6.9-4.el6_1.1
  • gimp-help-browser-2:2.6.9-4.el6_1.1
  • gimp-libs-2:2.6.9-4.el6_1.1
refmap via4
confirm https://bugzilla.redhat.com/show_bug.cgi?id=666793
debian DSA-2426
gentoo GLSA-201209-23
mandriva MDVSA-2011:103
misc http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608497
mlist
  • [oss-security] 20110103 CVE request for buffer overflows in gimp
  • [oss-security] 20110104 Re: CVE request for buffer overflows in gimp
osvdb 70282
secunia
  • 42771
  • 44750
  • 48236
  • 50737
suse SUSE-SR:2011:005
vupen ADV-2011-0016
xf gimp-lightning-effects-bo(64582)
Last major update 07-02-2022 - 17:53
Published 07-01-2011 - 20:00
Last modified 07-02-2022 - 17:53
Back to Top